# Uses of Class
org.xnio.Option.SetBuilder

Packages that use Option.SetBuilder
Package
Description
org.xnio
The main API package for XNIO.

## Uses of Option.SetBuilder in org.xnio

Methods in org.xnio that return Option.SetBuilder
Modifier and Type
Method
Description
`Option.SetBuilder`
Option.SetBuilder.`add(Option<?> option)`
Add an option to this set.
`Option.SetBuilder`
Option.SetBuilder.`add(Option<?>... options)`
Add options to this set.
`Option.SetBuilder`
Option.SetBuilder.`add(Option<?> option1, Option<?> option2)`
Add options to this set.
`Option.SetBuilder`
Option.SetBuilder.`add(Option<?> option1, Option<?> option2, Option<?> option3)`
Add options to this set.
`Option.SetBuilder`
Option.SetBuilder.`addAll(Collection<Option<?>> options)`
Add all options from a collection to this set.
`static Option.SetBuilder`
Option.`setBuilder()`
Create a builder for an immutable option set.